<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.vessel.app.common.adapter.impactgoals.ImpactGoalModel" />

        <variable
            name="handler"
            type="com.vessel.app.common.adapter.impactgoals.ImpactGoalsAdapter.OnActionHandler" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="64dp"
        android:layout_marginTop="@dimen/spacing_small"
        android:layout_marginHorizontal="@dimen/spacing_xs"
        android:background="@{item.background}"
        android:onClick="@{(view) -> handler.onGoalItemClick(item, view)}">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Title.Bold"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/spacing_normal"
            android:layout_marginStart="@dimen/spacing_normal"
            android:ellipsize="end"
            android:maxLines="1"
            android:text="@{item.title}"
            android:textSize= "@dimen/font_xs"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="@string/b9_folate" />

        <com.google.android.material.imageview.ShapeableImageView
            android:id="@+id/icon"
            style="@style/ReagentStatus"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:gravity="end"
            android:scaleType="fitEnd"
            app:shapeAppearance="@style/RoundedImageView"
            srcFromUrl="@{item.icon}"
            placeholder="@{@android:color/transparent}"
            app:layout_constraintBottom_toBottomOf="@id/title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/title"
            app:layout_constraintTop_toTopOf="@id/title"
            tools:src="@drawable/goals_beauty"
            tools:text="@string/good" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
